Package org.jboss.resteasy.jsapi

## Class ServiceRegistry

- java.lang.Object
- - org.jboss.resteasy.jsapi.ServiceRegistry

-     public class ServiceRegistry
      extends Object

  Author:
    Stéphane Épardaud

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceRegistry​(ServiceRegistry parent, ResourceMethodRegistry registry, ResteasyProviderFactory providerFactory, ResourceLocatorInvoker invoker)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `collectResourceMethodsUntilRoot​(List<Method> methods)` |
    `String` | `getFunctionPrefix()` |
    `List<ServiceRegistry>` | `getLocators()` |
    `List<MethodMetaData>` | `getMethodMetaData()` |
    `ServiceRegistry` | `getParent()` |
    `String` | `getUri()` |
    `boolean` | `isRoot()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceRegistry

          public ServiceRegistry​(ServiceRegistry parent,
                                 ResourceMethodRegistry registry,
                                 ResteasyProviderFactory providerFactory,
                                 ResourceLocatorInvoker invoker)
                          throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### getParent

          public ServiceRegistry getParent()

    - #### getMethodMetaData

          public List<MethodMetaData> getMethodMetaData()

    - #### getLocators

          public List<ServiceRegistry> getLocators()

    - #### getUri

          public String getUri()

    - #### isRoot

          public boolean isRoot()

    - #### getFunctionPrefix

          public String getFunctionPrefix()

    - #### collectResourceMethodsUntilRoot

          public void collectResourceMethodsUntilRoot​(List<Method> methods)